/*----------------------------------------------------------------------
John Robbins
Microsoft Systems Journal, April 1998 - Bugslayer Column!
----------------------------------------------------------------------*/
#ifndef _FINDCRASHDLG_H
#define _FINDCRASHDLG_H

#include "resource.h"

#include "HexEdit.h"

class CFindCrashDlg : public CDialog
{
public      :

    CFindCrashDlg ( CCrashFinderDoc * pDoc ) ;

    enum { IDD = IDD_FINDCRASH } ;

protected   :
    virtual BOOL OnInitDialog ( void ) ;
    virtual void OnCancel ( ) ;


    virtual void DoDataExchange ( CDataExchange * pDX ) ;

    afx_msg void OnFindAddr ( void ) ;

    DECLARE_MESSAGE_MAP ( )

private     :
    // The document object that controls this dialog.
    CCrashFinderDoc * m_pDoc ;

    // The hex edit control.
    CHexEdit    m_cHexCtrl  ;

    // The static controls for the values that show the results.
    CStatic     m_cAddress      ;
    CStatic     m_cModule       ;
    CStatic     m_cFunction     ;
    CStatic     m_cFnDispl      ;
    CStatic     m_cSourceFile   ;
    CStatic     m_cSourceLine   ;
    CStatic     m_cSrcDispl     ;

} ;

#endif  // _FINDCRASHDLG_H


