/*----------------------------------------------------------------------
John Robbins
Microsoft Systems Journal, April 1998 - Bugslayer Column!
----------------------------------------------------------------------*/
#ifndef _RESOURCE_H
#define _RESOURCE_H

// Main resources.
#define IDR_MAINFRAME               128
#define IDR_CRASHFTYPE              129
// The hint data text.
#define IDR_HINTDATA                130

// Dialog resources.
#define IDD_ABOUTBOX                100
#define IDD_APPOPTIONS              101
#define IDD_BINARYPROPERTIES        102
#define IDD_FINDCRASH               103

// Control IDs
#define IDC_SHOWFULLPATHS           1000
#define IDC_CONFIRMDELETIONS        1001
#define IDC_LOADADDREDIT            1002
#define IDC_HEXEDIT                 1003
#define IDC_FIND                    1004
#define IDC_ADDRESS                 1006
#define IDC_MODULE                  1007
#define IDC_FUNCTION                1008
#define IDC_FNDISPLACEMENT          1009
#define IDC_SOURCEFILE              1010
#define IDC_SOURCELINE              1011
#define IDC_SRCDISPLACEMENT         1012
#define IDC_BIGICON                 1013
#define IDC_APPNAME                 1014
#define IDC_HINTS                   1015


// Menu and toolbar commands.
#define ID_EDIT_FIND_CRASH          32771
#define ID_EDIT_ADD_IMAGE           32772
#define ID_EDIT_REMOVE_IMAGE        32773
#define ID_EDIT_IMAGE_PROPERTIES    32774
#define ID_VIEW_OPTIONS             32775

// Bitmaps.
#define IDB_BADITEM                 120
#define IDB_GOODITEM                121

// String table entries.
#define IDS_VERSIONREGKEY           130
#define IDS_ADDFILTER               140
#define IDS_ADDTITLE                141
#define IDS_DUPLICATEFILE           145
#define IDS_FILENOTFOUND            146
#define IDS_DUPLICATELOADADDR       147
#define IDS_DUPLICATELOADADDRFINAL  148
#define IDS_NOTPEIMAGE              149
#define IDS_EXEALREADYINPROJECT     150
#define IDS_CONFIRMREMOVE           151
#define IDS_LOADADDRBADCONVERSION   152
#define IDS_CATASTROPHICFAILURE     153
#define IDS_SYMMODULENOTLOADED      154
#define IDS_FUNCNOTFOUND            155
#define IDS_LINENOTFOUND            156
#define IDS_DISPLACEMENTFMT         157
#define IDS_WEAKIMAGHLP             158

#endif  // _RESOURCE_H
